﻿using System;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Services;

 namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        Random r = new Random();

        [HttpPost]
        public ActionResult Getjsondata(int data, string type)
        {
            //Return chart data in JSON format
            ArrayList dataList2 = new ArrayList();
            for (int i = 0; i < data; i++)
            {
                dataList2.Add(new seriesWithDataPoints("Product"+ i.ToString(), GetData1(), "transparent", 0.5, "green", type));   
            }
                     
            ViewBag.dataSource = dataList2;   
            return Json(ViewBag.dataSource);
        }

        public ActionResult Index()
        {
            
            return View();
        }

        public ArrayList GetData1()
        {
            ArrayList point1 = new ArrayList();
            
            point1.Add(new dataVal(1900, r.Next(1,6)));
            point1.Add(new dataVal(1920, r.Next(1,6)));
            point1.Add(new dataVal(1940, r.Next(1,6)));
            point1.Add(new dataVal(1960, r.Next(1,6)));
            point1.Add(new dataVal(1980, r.Next(1,6)));
            point1.Add(new dataVal(2000, r.Next(1,6)));

            return point1;
        }

        
         
    }
        
    public class dataVal

        {
            private double xName;
            public double xname {get { return xName; } set { xName = value; }}
            private double yName;
            public double yname{  get { return yName; } set { yName = value; }}

           public dataVal(double xValue, double yValue)
            {
                this.xname = xValue;
                this.yName = yValue;            
           }
              
    }
  public class seriesWithDataPoints
  {
      private string seriesType;
      public string SeriesType { get { return seriesType; } set { seriesType = value; } }
      private string seriesName;
      public string SeriesName{get { return seriesName;}set { seriesName = value; }}
      private ArrayList dataPoints;
      public ArrayList DataPoints{get { return dataPoints;}set { dataPoints = value; }}
      private string BColor;
      public string bColor { get { return BColor; } set { BColor=value;} }
      private double Opacity;
      public double opacity { get { return Opacity;} set{Opacity=value;} }
      private string Fill;
      public string fill { get { return Fill; } set { Fill = value; } }
      public seriesWithDataPoints(string sName, ArrayList list,string bcolor,double opacit,string fil,string stype)
      {
          this.SeriesType = stype;
          this.SeriesName = sName;
          this.DataPoints = list;
          this.bColor = bcolor;
          this.opacity = opacit;
          this.fill = fil;
      }
  }
}